/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items
curl --request POST \
--url https://api.criteo.com/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items"
payload = { "data": { "type": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: '<string>'}})
};
fetch('https://api.criteo.com/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"campaignId": "<string>",
"name": "<string>",
"startDate": "2023-12-25",
"targetRetailerId": "<string>",
"bidStrategy": "conversion",
"budget": 123,
"budgetRemaining": 123,
"budgetSpent": 123,
"createdAt": "2023-11-07T05:31:56Z",
"dailyPacing": 123,
"endDate": "2023-12-25",
"id": "<string>",
"isAutoDailyPacing": false,
"maxBid": 123,
"monthlyPacing": 123,
"targetBid": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items
Creates new auction line item with the specified settings
POST
/
2025-04
/
retail-media
/
campaigns
/
{campaign-id}
/
auction-line-items
/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The given campaign id
Body
application/json
The line item settings to create a line item with
Data model for a create input resource
Data model for a Resource
Show child attributes
Show child attributes
Was this page helpful?
/2025-04/retail-media/campaigns/{campaign-id}/auction-line-items
Previous
/2025-04/retail-media/campaigns/{campaign-id}/preferred-line-items
Next
⌘I